import { jsonError } from "../../../common.js";

export async function onRequest(context: RequestContext) {
  if (
    ![1 << 4, 1 << 12].find((p) => context.data.current_user?.permissions & p)
  )
    return jsonError("Forbidden", 403);

  return await context.next();
}
